Bug 1295938 - kickstart fails - xfs invalid default fs type
kickstart fails - xfs invalid default fs type
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 15:11 EST by Paul Armstrong
Modified: 2017-08-01 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error (172.26 KB, image/png)
2016-01-05 15:11 EST, Paul Armstrong
no flags Details
treeinfo from kickstart dir (2.00 KB, text/plain)
2016-01-05 15:12 EST, Paul Armstrong
no flags Details

  None (edit)
Description Paul Armstrong 2016-01-05 15:11:58 EST
Created attachment 1111931 [details]
Screenshot of error

Description of problem: Trying to deploy a new system from Satellite using synched RHEL 7.2 kickstart image fails. VM is created (RHEV) boots and starts anaconda then fails creating volumes with the following error:

"Value Error: new value nonexistent xfs filesystem is not valid as default fs type"
self._check_valid_fstype(newtype)
File "/usr/lib/python2.7/site-packages/blivet/__init__.py"

Same profiles and partition table work fine with 7.1


Version-Release number of selected component (if applicable):
Satellite 6.1.5
RHEL Kickstart 7.2

How reproducible:
Always

Steps to Reproduce:
1. create a partition table in Satellite e.g.
zerombr
clearpart --all --initlabel
autopart

2. create a new host and select 7.2 kickstart media
3. submit the creation

Actual results:

"Value Error: new value nonexistent xfs filesystem is not valid as default fs type"
self._check_valid_fstype(newtype)
File "/usr/lib/python2.7/site-packages/blivet/__init__.py"


Expected results:
installation proceeds normally

Additional info:

Attached screenshot
Attached treeinfo from kickstart
Comment 1 Paul Armstrong 2016-01-05 15:12 EST
Created attachment 1111932 [details]
treeinfo from kickstart dir
Comment 5 Bryan Kearney 2016-07-26 15:07:17 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2017-08-01 16:33:56 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.